#
# spec file for package kactivities5
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5Activities5
%define _tar_path 5.10
Name:           kactivities5
Version:        5.10.0
Release:        0
%define kf5_version %{version}
Summary:        KDE Plasma Activities support
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://projects.kde.org/kactivities
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/kactivities-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM kamd-rename.patch -- https://git.reviewboard.kde.org/r/115602/ -- rename kactivitymanagerd binary so it can co-exist with kactivities4
Patch0:         kamd-rename.patch
BuildRequires:  boost-devel >= 1.49.0
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kcmutils-devel >= %{_tar_path}
BuildRequires:  kconfig-devel >= %{_tar_path}
BuildRequires:  kcoreaddons-devel >= %{_tar_path}
BuildRequires:  kdbusaddons-devel >= %{_tar_path}
BuildRequires:  kdeclarative-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel >= %{_tar_path}
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  kio-devel >= %{_tar_path}
BuildRequires:  kservice-devel >= %{_tar_path}
BuildRequires:  kwindowsystem-devel >= %{_tar_path}
BuildRequires:  kxmlgui-devel >= %{_tar_path}
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Quick) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Sql) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
Recommends:     %{name}-imports = %{version}
# for kactivitymanagerd_plugin_sqlite.so
Recommends:     libQt5Sql5-sqlite
%if 0%{?suse_version} > 1320
Provides:       kactivities4 = %{version}
Obsoletes:      kactivities4 < %{version}
%endif
#Conflicts:      kactivities4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kactivities provides an API for using and interacting with the Plasma Activities Manager.

%package -n %lname
Summary:        Library for KDE's Plasma Activities support
Group:          System/GUI/KDE
%if %{with lang}
Recommends:     %lname-lang = %{version}
%endif

%description -n %lname
Kactivities provides an API for using and interacting with the Plasma Activities Manager.

%package imports
Summary:        KDE Plasma Activities support
Group:          System/GUI/KDE

%description imports
Kactivities provides an API for using and interacting with the Plasma Activities Manager.
QML imports.

%package devel
Summary:        KDE Plasma Activities support
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules >= 1.7.0
Requires:       pkgconfig(Qt5Core) >= 5.2.0

%description devel
Kactivities provides an API for using and interacting with the Plasma Activities Manager.
Development files.

%lang_package -n %lname
%prep
%setup -q -n kactivities-%{version}
%if 0%{?suse_version} <= 1320
%patch0 -p1
%endif

%build
%if 0%{?suse_version} == 1310
  %cmake_kf5 -d build -- -DKACTIVITIES_ENABLE_EXCEPTIONS=ON
%else
  %cmake_kf5 -d build
%endif
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%if %{with lang}
%files -n %lname-lang -f %{name}.lang
%endif

%files
%defattr(-,root,root)
%{_kf5_bindir}/kactivitymanagerd*
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_datadir}/

%files imports
%defattr(-,root,root)
%{_kf5_qmldir}/

%files -n %lname
%defattr(-,root,root,-)
%{_kf5_libdir}/libKF5Activities.so.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Activities.so
%{_kf5_libdir}/cmake/KF5Activities/
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_includedir}/*.h
%{_kf5_libdir}/pkgconfig/libKActivities.pc
%{_kf5_mkspecsdir}/qt_KActivities.pri

%changelog
